<ion-header>
  <ion-toolbar color="ista">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Tickets {{consultaServicio}}</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-searchbar  placeholder='{{defectSelect}}' animated (ionChange)="buscar($event)"></ion-searchbar>
    <ion-buttons slot="primary">
      <ion-button (click)="filtroButton()">
        <ion-icon color="ista" slot="icon-only" name="settings"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-toolbar>
    <ion-segment [(ngModel)]="estadoTicket" (ionChange)="segmentChanged($event)" value="Sin Asignar">
      <ion-segment-button value="Asignados">
        <ion-label color="ista">Asignados</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Sin Asignar">
        <ion-label color="ista">Sin Asignar</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Resueltos">
        <ion-label color="ista">Cerrados</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <div [ngSwitch]="estadoTicket">
    <div *ngSwitchCase="'Asignados'">
      <div *ngFor="let ticketlist of ticket | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="(ticketlist.estado.codEstado !=4 && ticketlist.estado.codEstado !=5 && ticketlist.estado.codEstado !=3) && ticketlist.solucion ==null && ticketlist.tecnico !=null"
          (click)='asignar_tecnico(ticketlist);'>
          <ion-label color="ista">
            <h2>Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Tecnico: {{ticketlist.tecnico.persona.nombres}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion |  date:'MMM dd, YYYY HH:mm'}}</p>
          </ion-label>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Superior'" name="ellipse-sharp" style="color:#FF1500;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Alto'" name="ellipse-sharp" style="color:#FF6417;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Medio'" name="ellipse-sharp" style="color:#FFFF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Bajo'" name="ellipse-sharp" style="color:#E0FF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Inferior'" name="ellipse-sharp" style="color:#4EFF04;">
          </ion-icon>
        </ion-item>
      </div>
    </div>
    <div *ngSwitchCase="'Sin Asignar'">
      <div *ngFor="let ticketlist of ticket | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="ticketlist.solucion ==null && ticketlist.tecnico ==null && ticketlist.estado.codEstado!=3"
          (click)='asignar_tecnico(ticketlist);'>
          <ion-label color="ista">
            <h2>Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion |  date:'MMM dd, YYYY HH:mm'}}</p>
          </ion-label>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Superior'" name="ellipse-sharp" style="color:#FF1500;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Alto'" name="ellipse-sharp" style="color:#FF6417;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Medio'" name="ellipse-sharp" style="color:#FFFF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Bajo'" name="ellipse-sharp" style="color:#E0FF04;">
          </ion-icon>
          <ion-icon *ngIf="ticketlist.servicio.prioridad.nivelPrioridad=='Inferior'" name="ellipse-sharp" style="color:#4EFF04;">
          </ion-icon>
        </ion-item>
      </div>
    </div>
    <div *ngSwitchCase="'Resueltos'">
      <div *ngFor="let ticketlist of ticket | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="(ticketlist.estado.codEstado ==4 || ticketlist.estado.codEstado ==5) && ticketlist.tecnico !=null && ticketlist.ticketEstado!==false">
          <ion-label color="ista" (click)='asignar_tecnico(ticketlist);'>
            <h2 >Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Tecnico: {{ticketlist.tecnico.persona.nombres}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion |  date:'MMM dd, YYYY HH:mm'}}</p>
            <p>Estado: {{ticketlist.estado.nombreEstado}}</p>
          </ion-label>
          <ion-icon name="trash-outline" (click)="EliminarTicket(ticketlist.codticket)"></ion-icon>
        </ion-item>
      </div>
    </div>
  </div>
</ion-content>
